---
title: not
slug: Web/XPath/Functions/not
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>not</code> function evaluates a boolean expression and returns the opposite value.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">not(<em>expression</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>expression</em> </code></dt>
 <dd>The expression is evaluated exactly as if it were passed as an argument to the <a href="/en/XPath/Functions/boolean"> boolean()</a> function.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>True for an expression that evaluates to false; false for an expression that evaluates to true.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>This function should behave similarly to the <a href="/en/XPath/Functions/boolean"> boolean()</a> function except that it returns the opposite value.</li>
 <li>You can test if an element doesn't have some attribute.</li>
</ul>

<pre class="eval">&lt;xsl:for-each match="//a[not(@name and @name = 'badname')]"&gt;
  &lt;!-- iterates over any &lt;a&gt; element in the document, that
       either has no 'name' attribute at all, or it has one,
       but its value is not "badname". --&gt;
&lt;/xsl:template&gt;
</pre>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-not">XPath 1.0 4.3</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
